#  Module.mk - Makefile for the Psion conversion utilities
#  Copyright (c) 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Note that MODULE_DIR (the directory in which this file resides) is a
# 'simply expanded variable'. That means that its value is substituted
# verbatim in the rules, until it is redefined. 
MODULE_DIR := formats/html

FORMATSHTMLDIR := $(MODULE_DIR)

# Note that many variables used here are defined in the formats/Module.mk

FORMATSHTMLTARGETS := $(addprefix $(MODULE_DIR)/,$(notdir $(FORMATSSOURCES:.psi=.html)))

FORMATSHTMLINTERS := $(FORMATSHTMLTARGETS:.html=.html_plain)

FORMATSHTMLMAKEINDEX := $(MODULE_DIR)/make_target_index.sh
FORMATSHTMLGENERATE := $(MODULE_DIR)/generate_links.sh

FORMATSHTMLINDEX := $(MODULE_DIR)/html_index

$(FORMATSHTMLINDEX): $(FORMATSHTMLMAKEINDEX) $(FORMATSHTMLINTERS)
	cd $(FORMATSHTMLDIR); \
        $(notdir $(FORMATSHTMLMAKEINDEX)) $(notdir $(FORMATSHTMLINDEX).temp) \
                                          $(notdir $(FORMATSHTMLINTERS)) 
	sed 's,^\([a-zA-z_]*\)\.html_plain,\1.html,' \
            < $(FORMATSHTMLINDEX).temp > $(FORMATSHTMLINDEX) 
	rm $(FORMATSHTMLINDEX).temp
        
$(MODULE_DIR)/%.html: $(MODULE_DIR)/%.html_plain $(FORMATSHTMLGENERATE) $(FORMATSHTMLINDEX)
	$(FORMATSHTMLGENERATE) $(FORMATSHTMLINDEX) $< > $@

$(MODULE_DIR)/%.html_plain: $(FORMATSPSIONDIR)/%.psi all-psiconv
	$(PSICONV) -T HTML $< -o $@

all-formats-html: $(FORMATSHTMLTARGETS)
all :: all-formats-html

clean-formats-html:
	$(RM) $(FORMATSHTMLINTERS) $(FORMATSHTMLINDEX) \
              $(FORMATSHTMLINDEX).temp $(FORMATSHTMLTARGETS) 
clean :: clean-formats-html
