#  Module.mk - Makefile for the Psion conversion utilities
#  Copyright (c) 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Note that MODULE_DIR (the directory in which this file resides) is a
# 'simply expanded variable'. That means that its value is substituted
# verbatim in the rules, until it is redefined. 
MODULE_DIR := formats/html4

FORMATSHTML4DIR := $(MODULE_DIR)

# Note that many variables used here are defined in the formats/Module.mk

FORMATSHTML4TARGETS := $(addprefix $(MODULE_DIR)/,$(notdir $(FORMATSSOURCES:.psi=.html)))

FORMATSHTML4INTERS := $(FORMATSHTML4TARGETS:.html=.html_plain)

FORMATSHTML4MAKEINDEX := $(MODULE_DIR)/make_target_index.sh
FORMATSHTML4GENERATE := $(MODULE_DIR)/generate_links.sh

FORMATSHTML4INDEX := $(MODULE_DIR)/html_index

$(FORMATSHTML4INDEX): $(FORMATSHTML4MAKEINDEX) $(FORMATSHTML4INTERS)
	cd $(FORMATSHTML4DIR); \
        $(notdir $(FORMATSHTML4MAKEINDEX)) $(notdir $(FORMATSHTML4INDEX).temp) \
                                          $(notdir $(FORMATSHTML4INTERS)) 
	sed 's,^\([a-zA-z_]*\)\.html_plain,\1.html,' \
            < $(FORMATSHTML4INDEX).temp > $(FORMATSHTML4INDEX) 
	rm $(FORMATSHTML4INDEX).temp
        
$(MODULE_DIR)/%.html: $(MODULE_DIR)/%.html_plain $(FORMATSHTML4GENERATE) $(FORMATSHTML4INDEX)
	$(FORMATSHTML4GENERATE) $(FORMATSHTML4INDEX) $< > $@

$(MODULE_DIR)/%.html_plain: $(FORMATSPSIONDIR)/%.psi all-psiconv
	$(PSICONV) -T HTML4 $< -o $@

all-formats-html4: $(FORMATSHTML4TARGETS)
all :: all-formats-html4

clean-formats-html4:
	$(RM) $(FORMATSHTML4INTERS) $(FORMATSHTML4INDEX) \
              $(FORMATSHTML4INDEX).temp $(FORMATSHTML4TARGETS) 
clean :: clean-formats-html4
