#  Module.mk - Makefile for the Psion conversion utilities
#  Copyright (c) 1999  Frodo Looijaard <frodol@dds.nl>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Note that MODULE_DIR (the directory in which this file resides) is a
# 'simply expanded variable'. That means that its value is substituted
# verbatim in the rules, until it is redefined. 
MODULE_DIR := psiconv

# Regrettably, even 'simply expanded variables' will not put their currently
# defined value verbatim into the command-list of rules...
# Regrettably, even 'simply expanded variables' will not put their currently
# defined value verbatim into the command-list of rules...

PSICONVTARGETS := $(MODULE_DIR)/psiconv

PSICONVSOURCES := $(MODULE_DIR)/psiconv.c

INCLUDEFILES += $(PSICONVSOURCES:.c=.d)

$(MODULE_DIR)/psiconv: $(PSICONVSOURCES:.c=.o) all-lib
	$(CC) $(PSICONVSOURCES:.c=.o) -o $@ -Llib -lpsiconv

all-psiconv: $(PSICONVTARGETS)
all :: all-psiconv

install-psiconv: all-psiconv
	$(MKDIR) $(BINDIR) 
	$(INSTALL) -o root -g root -m 755 $(PSICONVTARGETS) $(BINDIR)

install :: install-psiconv

clean-psiconv:
	$(RM) $(PSICONVSOURCES:.c=.d) $(PSICONVSOURCES:.c=.o) \
              $(PSICONVTARGETS)
clean :: clean-psiconv
